LibreOffice: SpreadsheetDrawPage Service Reference

LibreOffice LibreOffice 5.3 SDK API Reference

Exported Interfaces | List of all members
SpreadsheetDrawPage Service Referencepublished

This abstract service is implemented by every page of a SpreadsheetDocument. More...

`import"SpreadsheetDrawPage.idl";`

Inheritance diagram for SpreadsheetDrawPage:

## Exported Interfaces
interface | com::sun::star::drawing::XDrawPage
| manages the com::sun::star::drawing::Shapes of this page. More...
interface | com::sun::star::drawing::XShapeGrouper
| With this interface you can group/ungroup a collection of com::sun::star::drawing::Shapes. More...

## Additional Inherited Members
Public Member Functions inherited from XShapes
void | add ([in] com::sun::star::drawing::XShape xShape)
| inserts a Shape into this collection. More...
void | remove ([in] com::sun::star::drawing::XShape xShape)
| removes a Shape from this collection. More...
Public Member Functions inherited from XIndexAccess
long | getCount ()
any | getByIndex ([in] long Index) raises ( com::sun::star::lang::IndexOutOfBoundsException, com::sun::star::lang::WrappedTargetException )
Public Member Functions inherited from XElementAccess
type | getElementType ()
boolean | hasElements ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XShapeGrouper
com::sun::star::drawing::XShapeGroup | group ([in] com::sun::star::drawing::XShapes xShapes)
| groups the Shapes inside a collection. More...
void | ungroup ([in] com::sun::star::drawing::XShapeGroup aGroup)
| ungroups a given GroupShape. More...

## Detailed Description

This abstract service is implemented by every page of a SpreadsheetDocument.

Example: create and insert a couple of com::sun::star::drawing::LineShapes:

xPage = xDoc.DrawPages(0)
for x% = 0 to 200
xShape = xProv.createInstance( "com.sun.star.drawing.LineShape" )
xShape.LineColor = rgb( 255, 0, n%+20 )
xShape.LineWidth = 20
xShape.Position = Point( x%, 2*x% )
xShape.Size = Size( 300-x%, 20 )
xPage.add( xShape )
next x%

Since
  OOo 1.1.2

## Exported Interfaces

## ◆ com::sun::star::drawing::XDrawPage

interface com::sun::star::drawing::XDrawPage

manages the com::sun::star::drawing::Shapes of this page.

It also lets you add new com::sun::star::drawing::Shapes. The program currently requires that these com::sun::star::drawing::Shapes be created by the factory of the document.

See also
  SpreadsheetDocument

## ◆ com::sun::star::drawing::XShapeGrouper

interface com::sun::star::drawing::XShapeGrouper

With this interface you can group/ungroup a collection of com::sun::star::drawing::Shapes.

The documentation for this service was generated from the following file:

- com/sun/star/sheet/SpreadsheetDrawPage.idl